Agents
Update agent
Update an existing agent
Authorization<token>
API key in the format: Bearer YOUR_API_KEY
In: header
Path Parameters
idstring
Agent ID
Format
uuidname?string
Length
1 <= length <= 255systemPrompt?string
Length
length <= 32000slmModelId?string|null
Format
uuidvoiceId?string|null
Format
uuidvoiceSpeed?number
Range
0.6 <= value <= 1.5voiceStability?number
Range
0 <= value <= 1turnEndpointDelay?integer|null
Range
50 <= value <= 2000minTurnDuration?integer|null
Range
0 <= value <= 2000minInterruptionDuration?integer|null
Range
0 <= value <= 2000frameActivationThreshold?number|null
Range
0 <= value <= 1postSpeechCooldown?integer|null
Range
0 <= value <= 5000ultravadEotThreshold?number|null
Range
0 <= value <= 1speculativeSilenceMs?integer|null
Range
0 <= value <= 5000fallbackSilenceMs?integer|null
Range
0 <= value <= 10000allowEndCall?boolean
isActive?boolean
postCallSummaryEnabled?boolean
postCallExtractionSchema?
postCallWebhookUrl?string|null
Format
uripostCallWebhookSecret?string|null
firstSpeaker?string
Value in
"user" | "agent"agentGreeting?string|null
Length
length <= 1000agentGreetingEnabled?boolean
firstMessageUninterruptible?boolean
Whether the agent's first message cannot be interrupted by the user (only applies when firstSpeaker is 'agent')
firstMessageDelay?integer
Milliseconds to wait before the agent sends its first message (only applies when firstSpeaker is 'agent')
Range
0 <= value <= 10000maxCallDurationSeconds?integer
Range
30 <= value <= 3600languageHint?string|null
Length
length <= 10knowledgeSearchInstructions?string|null
Custom instructions for when the agent should search its knowledge base
Length
length <= 2000backgroundSoundId?string|null
Format
uuidbackgroundSoundVolume?number
Range
0 <= value <= 1holdMessage?string|null
Length
length <= 500holdMusicUrl?string|null
Length
length <= 500Response Body
application/json
application/json
application/json
curl -X PATCH "https://api.chorus-ai.co/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"systemPrompt": "string",
"slmModelId": "063c8b9b-716c-4479-8636-e6af423a21d0",
"voiceId": "a03665cd-ad55-4641-90b0-a6149c64fe33",
"voiceSpeed": 1,
"voiceStability": 0.5,
"turnEndpointDelay": 50,
"minTurnDuration": 2000,
"minInterruptionDuration": 2000,
"frameActivationThreshold": 1,
"postSpeechCooldown": 5000,
"ultravadEotThreshold": 1,
"speculativeSilenceMs": 5000,
"fallbackSilenceMs": 10000,
"isActive": true,
"allowEndCall": true,
"postCallSummaryEnabled": false,
"postCallExtractionSchema": [],
"postCallWebhookUrl": "http://example.com",
"postCallWebhookSecret": "string",
"firstSpeaker": "user",
"agentGreeting": "string",
"agentGreetingEnabled": true,
"firstMessageUninterruptible": false,
"firstMessageDelay": 0,
"maxCallDurationSeconds": 600,
"languageHint": "string",
"knowledgeSearchInstructions": "string",
"backgroundSoundId": "2d4fd124-f5e0-412f-938f-f63bafc5b5c7",
"backgroundSoundVolume": 0.15,
"holdMessage": "string",
"holdMusicUrl": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
}{
"error": "string",
"details": [
{}
]
}{
"error": "string",
"details": [
{}
]
}Last updated on